Description

In Administration --> Custom Fields --> Issues:

1. Click on one of the custom fields that you have set up as a list.

2. Select the "Multiple values" checkbox and click Save.

3. Click into the same custom field again.

The "Multiple values" checkbox is now disabled, so you can't uncheck it.  In my case, I selected "Multiple values" on a custom field

that's used by many projects, but changed my mind and now I'm stuck with it.

At the very least, I think there should be a warning that you won't be able to revert to single values.

This is tested on the BitNami Redmine 2.1.2 stack.

Related issues:

Related to Redmine - Patch #12819: German translation for #12251 r11168 and #... Closed

Associated revisions

Revision 11167 - 2013-01-12 10:12 - Jean-Philippe Lang

Ability to uncheck "Multiple values" for existing custom fields (#12251).

Revision 11168 - 2013-01-12 10:27 - Jean-Philippe Lang

Adds a message about disabling multiple values on custom field form (#12251).

Revision 11218 - 2013-01-20 14:48 - Jean-Philippe Lang

Adjust warning message (#12251).

History

#1 - 2012-10-31 03:33 - Anonymous

I realize the risk involved with this, but agree some solution needs to be in place... I'm sure most people who check the box have no idea it's a

commitment until after the fact.

You can always, of course, go into the database manually, find the custom fields table, and change that field's value in the 'multiple' column to 0.

#2 - 2013-01-12 10:13 - Jean-Philippe Lang

- Subject changed from 'List' custom fields: 'Multiple values' should be able to be checked and then unchecked to Custom fields: 'Multiple values'

should be able to be checked and then unchecked

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Fixed in r11167. You are now able to uncheck it. It will remove duplicate values and preserve only one value for each item.

#3 - 2013-01-12 11:52 - Daniel Felix

Hi there,
https://www.redmine.org/projects/redmine/repository/svn/revisions/11167


is there a reference which values getting lost? Alphabetically sorted or in which order?

#4 - 2013-01-12 13:15 - Jean-Philippe Lang

As documented at source:/trunk/app/models/custom_field.rb@11167#L340, value with the highest id for each customized object is kept.

#5 - 2013-01-12 13:39 - Daniel Felix

Jean-Philippe Lang wrote:

As documented at source:/trunk/app/models/custom_field.rb@11167#L340, value with the highest id for each customized object is kept.

 Thanks! Haven't seen this comment. :-)

#6 - 2013-01-14 12:24 - Nicklas Holm

Jean-Philippe Lang wrote:

Fixed in r11167. You are now able to uncheck it. It will remove duplicate values and preserve only one value for each item.

 Am I the only one who interprets the warning message as if only values occuring more than once will be removed? I'm not sure they actually can, but

that's my idea of 'duplicate'.

#7 - 2013-01-20 14:48 - Jean-Philippe Lang

Nicklas Holm wrote:

Am I the only one who interprets the warning message as if only values occuring more than once will be removed? I'm not sure they actually

can, but that's my idea of 'duplicate'.

 Right, r11218 changes 'duplicate' to 'multiple' in the warning message.
